﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PersonOrderRefreshing {
    public class Person {
        public string Name { get; set; }
        public bool IsActive { get; set; }
        public List<Order> Orders { get; set; }
    }

    public class Order {
        public int Number { get; set; }
    }

    public class DummyRespository {

        private static int _orderCount = 0;

        public static List<Person> People { get; set; }

        /// <summary>
        /// Initial dummy collection
        /// </summary>
        public static void Initialize() {
            DummyRespository.People = new List<Person>(){new Person() {Name = "John",
                    IsActive = true,
                    Orders = new List<Order>()},
                new Person() {Name = "Peter",
                    IsActive = true,
                    Orders = new List<Order>()},
                new Person() {Name = "Rose",
                    IsActive = false,
                    Orders = new List<Order>()}};

        }

        /// <summary>
        /// Just add an order to the 1st person in the collection.
        /// </summary>
        public static void AddOrder() {
            DummyRespository._orderCount++;
            DummyRespository.People.First().Orders.Add(new Order() { Number = DummyRespository._orderCount });
        }
    }
}
