﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace PersonOrderRefreshing
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DummyRespository.Initialize();

            RefreshGrid();
        }

        private void buttonAddOrder_Click(object sender, EventArgs e)
        {

            DummyRespository.AddOrder();

            RefreshGrid();
        }

        private void RefreshGrid()
        {
            //if (this.checkBoxActiveOnly.Checked) {
            RefreshGridActive();
            //} else {
            //  RefreshGridAll();
            //}
        }

        private void RefreshGridActive()
        {
            var activePeople = (from p in DummyRespository.People
                                where p.IsActive
                                select new
                                {
                                    Name = p.Name,
                                    IsActive = p.IsActive,
                                    Order = p.Orders.ToList()
                                }).ToList();



            this.ultraGrid1.DataSource = activePeople;
            this.ultraGrid1.Rows.Refresh(Infragistics.Win.UltraWinGrid.RefreshRow.ReloadData);
            this.ultraGrid1.Rows.ExpandAll(true);
        }

        private void RefreshGridAll()
        {
            this.ultraGrid1.DataSource = DummyRespository.People;
            this.ultraGrid1.Rows.Refresh(Infragistics.Win.UltraWinGrid.RefreshRow.ReloadData);
            this.ultraGrid1.Rows.ExpandAll(true);
        }

    }
}
